$toolbar-height: 110px;
$responsive-threshold: 900px;

:host {
  display: block;
}

:host([run-state="Running"]) {
  svg [not-running] {
    display: none;
  }
}
:host(:not([run-state="Running"])) {
  svg [running] {
    display: none;
  }
}

:host([run-status="0"]) {
  svg circle {
    fill: var(--paper-green-500);
  }
}
:host([run-status="1"]) {
  svg circle {
    fill: var(--paper-orange-500);
  }
}
:host([run-status="2"]) {
  svg circle {
    fill: var(--paper-red-500);
  }
}

svg {
  height: 100%;
  fill-opacity: var(--primary-text-opacity);
  polygon, path {
    fill: var(--primary-text-color-inverted);
  }

  circle {
    transition: fill 500ms linear;
    fill: none;
  }
}
